Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Reactive_Strategy_B Class Template Reference

Reactive strategy. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Endpoint_Reactive_Strategy_B:

[legend]
Collaboration diagram for TAO_AV_Endpoint_Reactive_Strategy_B:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Reactive_Strategy_B (void)
| Constructor. More...
virtual | ~TAO_AV_Endpoint_Reactive_Strategy_B (void)
| Destructor. More...
int | init (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
virtual int | activate_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)
| Overrides the base class stream_endpoint activator, to activate a "B" type endpoint. More...
virtual int | create_B (AVStreams::StreamEndPoint_B_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev ACE_ENV_ARG_DECL)
| Called by the MMDevice, when it needs to create a B type endpoint. More...

## Detailed Description

### template<class T_StreamEndpoint, class T_Vdev, class T_MediaCtrl>
class TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_Vdev, T_MediaCtrl >

Reactive strategy.

## Constructor & Destructor Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::TAO_AV_Endpoint_Reactive_Strategy_B | ( | void |  | ) |

| Constructor.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::~TAO_AV_Endpoint_Reactive_Strategy_B | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Overrides the base class stream_endpoint activator, to activate a "B" type endpoint. Reimplemented from TAO_AV_Endpoint_Reactive_Strategy.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::create_B | ( | AVStreams::StreamEndPoint_B_ptr & | stream_endpoint,
|  | AVStreams::VDev_ptr &vdev | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Called by the MMDevice, when it needs to create a B type endpoint. Reimplemented from TAO_AV_Endpoint_Strategy.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::init | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa
| ) |

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp